# Create Evidence

## Create a new evidence item

<mark style="color:blue;">`POST`</mark> `/api/v1/evidence`

Use this API endpoint to create evidence items within Monolith.

Either case\_id, case\_uuid, or case\_number is required.

If evidence\_number is not provided, Monolith will automatically generate a value.

**Request Body**

| Name              | Type   | Description                                                                                           |
| ----------------- | ------ | ----------------------------------------------------------------------------------------------------- |
| `case_id`         | number | Unique ID of a case to link evidence.                                                                 |
| `case_uuid`       | string | Unique ID of a case to link evidence.                                                                 |
| `case_number`     | string | Case number to link evidence.                                                                         |
| `evidence_number` | string | Evidence number of the evidence being created.                                                        |
| `item_name`       | string | Name of the evidence item.                                                                            |
| `type`            | string | The type of evidence item: (Smartphone, Server, Email, etc...)                                        |
| `location_id`     | number | Sets the location of the evidence item at creation.  Location ID can be retreived from locations API. |
| `provider`        | string | Service provider or manufacturer of evidence.                                                         |
| `model_number`    | string | Evidence model number.                                                                                |
| `unique_id`       | string | Unique ID associated with the device - usually a serial number or account name.                       |
| `size`            | number | Capacity of the evidence                                                                              |
| `size_unit`       | string | <p>Unit of capacity:<br>KB, MB, GB, TB, PB</p>                                                        |
| `description`     | string | Description of the item                                                                               |
| `custom_fields`   | array  | Array of custom field objects                                                                         |

## Custom Fields

To create custom fields for your evidence in an API request, you must include a `custom_fields` value that consists of an array of JSON objects in the following form:

| Name       | Type    | Description                                      |
| ---------- | ------- | ------------------------------------------------ |
| `field_id` | integer | Unique id of the custom field                    |
| `value`    | string  | This is the value to be set for the custom field |

The `field_id` is the numeric identifier for the custom field you are setting a value for.

```json
// Custom Fields Example
"custom_fields": [
    {
        "field_id": "1",
        "value": "I am some custom data."
    },
    {
        "field_id": "2",
        "value": "This is some separate custom field data."
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/evidence-api/create-evidence.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
